'use strict';

const Types = require('paradox-utils').SchemaTypes;

/**
 *  @param  {Dblize}  dblize
 *  @return {Object}  model
 **/
module.exports = function(dblize) {
    let Model = dblize.define('user_session', {
        session: {
            type: Types.JSON,
        },
        username: {
            type: Types.STRING,
        },
        remote_addr: {
            type: Types.STRING,
        },
        useragent: {
            type: Types.STRING,
        },
    });

    return Model;
};